/* artistMergeDialog.h

   Copyright (C) 1999 by David Rose.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   To contact the original author of this program, write to:
           David Rose
           224 W. Dryden St Apt. 418
	   Glendale, CA 91202
	   USA

	   drose@lafn.org
   */

#ifndef ARTISTMERGEDIALOG_H
#define ARTISTMERGEDIALOG_H

#include "palomaDialog.h"
#include "dataset.h"

#include <gtk--.h>
#include <vector>

// This dialog is popped up in response to the user pressing the
// "Merge" button from the ArtistLookup dialog.  It gives the user the
// opportunity to merge all the selected artists into one.

class ArtistMergeDialog : public PalomaDialog {
public:
  // This is the set of ArtistID's that are to be merged in with the
  // base artist.
  typedef vector<int> MergeArtists;

  ArtistMergeDialog(const Dataset &data,
		    int base_artist_id,
		    const MergeArtists &merge_artists);
  ~ArtistMergeDialog();

  const MergeArtists &get_merge_artists() const;

private:
  void ok_button_clicked();
  void cancel_button_clicked();

  void layout_window();
  void do_merge();

  Gtk_VBox _box1;
  Gtk_Label _line_1;
  Gtk_Label _line_2;
  Gtk_Label _line_3;
  Gtk_ScrolledWindow _artist_window;
  Gtk_CList _clist;
  Gtk_Label _line_4;
  Gtk_Label _line_5;
  Gtk_Label _line_6;
  Gtk_Button _ok_button;
  Gtk_Button _cancel_button;

  MergeArtists _merge_artists;
};

#endif

