/* exportDialog.h

   Copyright (C) 1999 by David Rose.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   To contact the original author of this program, write to:
           David Rose
           224 W. Dryden St Apt. 418
	   Glendale, CA 91202
	   USA

	   drose@lafn.org
   */

#ifndef EXPORTDIALOG_H
#define EXPORTDIALOG_H

#include "palomaDialog.h"
#include "playlistProxy.h"
#include "filenameEntry.h"
#include "pickOne.h"

#include <gtk--.h>


class ExportDialog : public PalomaDialog {
public:
  ExportDialog(const Dataset &data,
	       const PlaylistProxy &playlist, int start_row,
	       bool all);
  ~ExportDialog();

private:
  void max_time_toggled();
  void ok_button_clicked();
  void cancel_button_clicked();
  void layout_window();

  Gtk_VBox _box1;
  Gtk_Label _top_label;
  Gtk_Frame _rframe;
  Gtk_VBox _rbox;
  Gtk_RadioButton _symlink_button;
  Gtk_RadioButton _copy_button;
  Gtk_HBox _cbox;
  Gtk_RadioButton _convert_button;
  PickOne _convert_type;
  Gtk_Label _root_label;
  FilenameEntry _root_entry;
  Gtk_Label _filename_label;
  Gtk_Entry _filename_entry;
  Gtk_Label _filename_explanation;
  Gtk_CheckButton _max_time_check;
  Gtk_Entry _max_time_entry;
  Gtk_Button _ok_button;
  Gtk_Button _cancel_button;

  PlaylistProxy _playlist;
  int _start_row;
};

#endif


